Home Connect Developer Program

This page does NOT support Internet Explorer. Please use a modern browser like e.g. Google Chrome, Mozilla Firefox or Microsoft Edge.

Images

IntroductionCopied link to clipboard

Some of Home Connect enabled refrigerators, fridge-freezers and ovens have built-in cameras and support images. When working with images the process involves two steps and related endpoints: first one to get the list of available images and their metadata, second to request media file for specific image id.

Please note that due to technological changes and low usage, Home Connect decided for some cooling appliances (older models) to discontinue the Camera-in-Fridge feature and removed related functionality from the Home Connect mobile app. This change took effect on March 31, 2026. For these models the endpoint /images become unavailable.

Get a list of available imagesCopied link to clipboard

HTTP Method

GET

URL

https://api.home-connect.com/homeappliances/{haId}/images

Query Parameters

Endpoint Response

The request will return a JSON object with a list of historical image ids, their thumbnail ids, specified per camera, and provided with a timestamp and quality information.

Example

GET https://api.home-connect.com/homeappliances/942730581693740251/images

HTTP Status Code

Get a specific imageCopied link to clipboard

HTTP Method

GET

URL

https://api.home-connect.com/homeappliances/{haId}/images/{imagekey}

Query Parameters

Endpoint Response

The request will return a media file.

HTTP Status Code